Loading...
Searching...
No Matches
pappso::masschroq::AlignmentMethod Class Reference

`#include <alignmentmethod.h>`

## Public Member Functions

| AlignmentMethod (const QString &id)
| AlignmentMethod (const AlignmentMethod &other)
| ~AlignmentMethod ()
const QString & | getId () const
void | setMs2TendencyWindow (std::uint8_t ms2_tendency_window)
void | setMs2SmoothingWindow (std::uint8_t ms2_smoothing_window)
void | setMs1SmoothingWindow (std::uint8_t ms1_smoothing_window)
void | setJsonObject (const QJsonObject &json_object)
QJsonObject | getJsonObject () const
std::uint8_t | getMs2TendencyWindow () const
std::uint8_t | getMs2SmoothingWindow () const
std::uint8_t | getMs1SmoothingWindow () const
pappso::ProjectParameters | getProjectParameters () const

## Private Attributes

const QString | m_id
quint8 | m_ms2TendencyWindow
quint8 | m_ms2SmoothingWindow
quint8 | m_ms1SmoothingWindow

## Detailed Description

Todo
  write docs

Definition at line 47 of file alignmentmethod.h.

## Constructor & Destructor Documentation

## AlignmentMethod() [1/2]

pappso::masschroq::AlignmentMethod::AlignmentMethod | ( | const QString & | id | ) |

Default constructor

Definition at line 31 of file alignmentmethod.cpp.

: m_id(id)
{
m_ms1SmoothingWindow = 5;
m_ms2SmoothingWindow = 15;
m_ms2TendencyWindow = 10;
}
pappso::masschroq::AlignmentMethod::m_ms2TendencyWindow
quint8 m_ms2TendencyWindow
Definition alignmentmethod.h:87
pappso::masschroq::AlignmentMethod::m_ms1SmoothingWindow
quint8 m_ms1SmoothingWindow
Definition alignmentmethod.h:89
pappso::masschroq::AlignmentMethod::m_id
const QString m_id
Definition alignmentmethod.h:85
pappso::masschroq::AlignmentMethod::m_ms2SmoothingWindow
quint8 m_ms2SmoothingWindow
Definition alignmentmethod.h:88

References m_id, m_ms1SmoothingWindow, m_ms2SmoothingWindow, and m_ms2TendencyWindow.

## AlignmentMethod() [2/2]

pappso::masschroq::AlignmentMethod::AlignmentMethod | ( | const AlignmentMethod & | other | ) |

Definition at line 38 of file alignmentmethod.cpp.

: m_id(other.m_id)
{
m_ms1SmoothingWindow = other.m_ms1SmoothingWindow;
m_ms2SmoothingWindow = other.m_ms2SmoothingWindow;
m_ms2TendencyWindow = other.m_ms2TendencyWindow;
}

References m_id, m_ms1SmoothingWindow, m_ms2SmoothingWindow, and m_ms2TendencyWindow.

## ~AlignmentMethod()

pappso::masschroq::AlignmentMethod::~AlignmentMethod | ( |  | ) |

Destructor

Definition at line 47 of file alignmentmethod.cpp.

{
}

## Member Function Documentation

## getId()

const QString & pappso::masschroq::AlignmentMethod::getId | ( |  | ) | const

Definition at line 52 of file alignmentmethod.cpp.

{
return m_id;
}

References m_id.

## getJsonObject()

QJsonObject pappso::masschroq::AlignmentMethod::getJsonObject | ( |  | ) | const

Definition at line 135 of file alignmentmethod.cpp.

{
QJsonObject method;
method.insert("ms1_smoothing", m_ms1SmoothingWindow);
method.insert("ms2_smoothing", m_ms2SmoothingWindow);
method.insert("ms2_tendency", m_ms2TendencyWindow);
return method;
}

References m_ms1SmoothingWindow, m_ms2SmoothingWindow, and m_ms2TendencyWindow.

## getMs1SmoothingWindow()

std::uint8_t pappso::masschroq::AlignmentMethod::getMs1SmoothingWindow | ( |  | ) | const

Definition at line 77 of file alignmentmethod.cpp.

{
return m_ms1SmoothingWindow;
}

References m_ms1SmoothingWindow.

Referenced by pappso::masschroq::MsRunPeptideList::buildMsRunRetentionTimeSpOnPeptideObservations().

## getMs2SmoothingWindow()

std::uint8_t pappso::masschroq::AlignmentMethod::getMs2SmoothingWindow | ( |  | ) | const

Definition at line 83 of file alignmentmethod.cpp.

{
return m_ms2SmoothingWindow;
}

References m_ms2SmoothingWindow.

Referenced by pappso::masschroq::MsRunPeptideList::buildMsRunRetentionTimeSpOnPeptideObservations().

## getMs2TendencyWindow()

std::uint8_t pappso::masschroq::AlignmentMethod::getMs2TendencyWindow | ( |  | ) | const

Definition at line 89 of file alignmentmethod.cpp.

{
return m_ms2TendencyWindow;
}

References m_ms2TendencyWindow.

Referenced by pappso::masschroq::MsRunPeptideList::buildMsRunRetentionTimeSpOnPeptideObservations().

## getProjectParameters()

pappso::ProjectParameters pappso::masschroq::AlignmentMethod::getProjectParameters | ( |  | ) | const

Definition at line 95 of file alignmentmethod.cpp.

{
pappso::ProjectParameters parameters;
/*
pappso::ProjectParam project_param(
{pappso::ProjectParamCategory::quantification, "", QVariant()});
project_param.name = "mcq_alignment_msrun_reference_for_rt_alignment";
QString msrunid = m_qxmlStreamReader.attributes()
.value("reference_data_id")
.toString();
project_param.value.setValue(
m_mcqrMetadataSet.getMcqrMetadaByDataId(msrunid).m_msrunFile);
m_projectParameters.setProjectParam(project_param);
*/
pappso::ProjectParam project_param(
{pappso::ProjectParamCategory::quantification, "", QVariant()});
project_param.name = "mcq_alignment_ms2_tendency_window";
project_param.value.setValue((std::size_t)m_ms2TendencyWindow);
parameters.setProjectParam(project_param);
project_param.name = "mcq_alignment_ms1_smoothing_window";
project_param.value.setValue((std::size_t)m_ms1SmoothingWindow);
parameters.setProjectParam(project_param);
project_param.name = "mcq_alignment_ms2_smoothing_window";
project_param.value.setValue((std::size_t)m_ms2SmoothingWindow);
parameters.setProjectParam(project_param);
return parameters;
}
pappso::ProjectParameters::setProjectParam
void setProjectParam(const ProjectParam &param)
Definition projectparameters.cpp:246
pappso::ProjectParamCategory::quantification
@ quantification
quantification
Definition projectparameters.h:49

References m_ms1SmoothingWindow, m_ms2SmoothingWindow, m_ms2TendencyWindow, pappso::ProjectParam::name, pappso::quantification, and pappso::ProjectParameters::setProjectParam().

## setJsonObject()

void pappso::masschroq::AlignmentMethod::setJsonObject | ( | const QJsonObject & | json_object | ) |

Definition at line 127 of file alignmentmethod.cpp.

{
setMs1SmoothingWindow(align_method.value("ms1_smoothing").toInt());
setMs2SmoothingWindow(align_method.value("ms2_smoothing").toInt());
setMs2TendencyWindow(align_method.value("ms2_tendency").toInt());
}
pappso::masschroq::AlignmentMethod::setMs1SmoothingWindow
void setMs1SmoothingWindow(std::uint8_t ms1_smoothing_window)
Definition alignmentmethod.cpp:58
pappso::masschroq::AlignmentMethod::setMs2TendencyWindow
void setMs2TendencyWindow(std::uint8_t ms2_tendency_window)
Definition alignmentmethod.cpp:70
pappso::masschroq::AlignmentMethod::setMs2SmoothingWindow
void setMs2SmoothingWindow(std::uint8_t ms2_smoothing_window)
Definition alignmentmethod.cpp:64

References setMs1SmoothingWindow(), setMs2SmoothingWindow(), and setMs2TendencyWindow().

## setMs1SmoothingWindow()

void pappso::masschroq::AlignmentMethod::setMs1SmoothingWindow | ( | std::uint8_t | ms1_smoothing_window | ) |

Definition at line 58 of file alignmentmethod.cpp.

{
m_ms1SmoothingWindow = ms1_smoothing_window;
}

References m_ms1SmoothingWindow.

Referenced by setJsonObject().

## setMs2SmoothingWindow()

void pappso::masschroq::AlignmentMethod::setMs2SmoothingWindow | ( | std::uint8_t | ms2_smoothing_window | ) |

Definition at line 64 of file alignmentmethod.cpp.

{
m_ms2SmoothingWindow = ms2_smoothing_window;
}

References m_ms2SmoothingWindow.

Referenced by setJsonObject().

## setMs2TendencyWindow()

void pappso::masschroq::AlignmentMethod::setMs2TendencyWindow | ( | std::uint8_t | ms2_tendency_window | ) |

Definition at line 70 of file alignmentmethod.cpp.

{
m_ms2TendencyWindow = ms2_tendency_window;
}

References m_ms2TendencyWindow.

Referenced by setJsonObject().

## Member Data Documentation

## m_id

const QString pappso::masschroq::AlignmentMethod::m_id

private

Definition at line 85 of file alignmentmethod.h.

Referenced by AlignmentMethod(), AlignmentMethod(), and getId().

## m_ms1SmoothingWindow

quint8 pappso::masschroq::AlignmentMethod::m_ms1SmoothingWindow

private

Definition at line 89 of file alignmentmethod.h.

Referenced by AlignmentMethod(), AlignmentMethod(), getJsonObject(), getMs1SmoothingWindow(), getProjectParameters(), and setMs1SmoothingWindow().

## m_ms2SmoothingWindow

quint8 pappso::masschroq::AlignmentMethod::m_ms2SmoothingWindow

private

Definition at line 88 of file alignmentmethod.h.

Referenced by AlignmentMethod(), AlignmentMethod(), getJsonObject(), getMs2SmoothingWindow(), getProjectParameters(), and setMs2SmoothingWindow().

## m_ms2TendencyWindow

quint8 pappso::masschroq::AlignmentMethod::m_ms2TendencyWindow

private

Definition at line 87 of file alignmentmethod.h.

Referenced by AlignmentMethod(), AlignmentMethod(), getJsonObject(), getMs2TendencyWindow(), getProjectParameters(), and setMs2TendencyWindow().

The documentation for this class was generated from the following files:

- pappsomspp/core/masschroq/alignmentmethod.h
- pappsomspp/core/masschroq/alignmentmethod.cpp